
import { commonSettings } from '../common_code/commonSettings.js'

export class wakeUpMonitorSettings extends commonSettings
{
    public action : string ="SLEEP";
    public sleepDuration :number =36000;
    public set(unknownSettings : any) :boolean
    { if (!super.set(unknownSettings)) return false;
     if ("action" in unknownSettings)  this.action =  unknownSettings["action"].toString();
     if ("sleepDuration" in unknownSettings)  this.sleepDuration =  parseInt(unknownSettings["sleepDuration"]);
     return true;
   }
}